Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022794
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2013-01-14 17:512013-01-24 04:59
ReportermiruritaView Statuspublic 
Assigned Toshankarb 
PrioritynormalResolutionfixedFixed in Version3.0MP20
StatusclosedFix in branchFixed in SCM revisione8e00b1d96bb
ProjectionnoneETAnoneTarget Version3.0MP20
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionpiSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022794: Sorting criteria not working in business partner selector in maximized view (using magnifying glass)

DescriptionWhen you try to sort by any column the business partner selector it is not working. The sorting criteria is not applied.
Steps To Reproduce1) Create a new sales invoice header for "F&B España - Región Norte"
2) Click on magnifying glass icon in business partner selector
3) Realize that the records are sorted by Name column ascendant (A --> Z)
4) Click on Name header to sort them descendant (Z --> A)
5) Realize that they are not sorted.
   Same result for the rest of the columns.
TagsNo tags attached.
Attached Filespng file icon Sorting not working in bp selector .png [^] (60,883 bytes) 2013-01-14 17:51

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0055749)
hgbot (developer)
2013-01-23 07:36

Repository: erp/devel/pi
Changeset: e8e00b1d96bb67e72fccb608e4238ef2d515723d
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Wed Jan 23 12:02:46 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/e8e00b1d96bb67e72fccb608e4238ef2d515723d [^]

Fixes Issue 0022794: Sorting criteria not working in business partner selector
The order by clause did not find the match for the field if it has a minus before it.
Modified the getSortBy method to accomodate the same.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-number.js
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/CustomQuerySelectorDatasource.java
---
(0055750)
hgbot (developer)
2013-01-23 08:19

Repository: erp/devel/pi
Changeset: 1ed6b457f1176b1ba994202a8ee2c809863cb559
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Wed Jan 23 12:48:23 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/1ed6b457f1176b1ba994202a8ee2c809863cb559 [^]

Related to Issue 0022794 : Remove unnecessary code modifications

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-number.js
---
(0055751)
AugustoMauch (developer)
2013-01-23 09:40

Code reviewed and verified in pi@1ed6b457f117
(0055782)
hudsonbot (developer)
2013-01-24 04:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c7e708c0b53e [^]

Maturity status: Test
(0055783)
hudsonbot (developer)
2013-01-24 04:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c7e708c0b53e [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-01-14 17:51 mirurita New Issue
2013-01-14 17:51 mirurita Assigned To => AugustoMauch
2013-01-14 17:51 mirurita File Added: Sorting not working in bp selector .png
2013-01-14 17:51 mirurita Modules => Core
2013-01-14 17:51 mirurita Triggers an Emergency Pack => No
2013-01-23 06:39 shankarb Assigned To AugustoMauch => shankarb
2013-01-23 06:40 shankarb Status new => scheduled
2013-01-23 06:40 shankarb fix_in_branch => pi
2013-01-23 07:35 shankarb Review Assigned To => AugustoMauch
2013-01-23 07:35 shankarb fix_in_branch pi =>
2013-01-23 07:36 shankarb Issue Monitored: AugustoMauch
2013-01-23 07:36 hgbot Checkin
2013-01-23 07:36 hgbot Note Added: 0055749
2013-01-23 07:36 hgbot Status scheduled => resolved
2013-01-23 07:36 hgbot Resolution open => fixed
2013-01-23 07:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e8e00b1d96bb67e72fccb608e4238ef2d515723d [^]
2013-01-23 08:19 hgbot Checkin
2013-01-23 08:19 hgbot Note Added: 0055750
2013-01-23 09:40 AugustoMauch Note Added: 0055751
2013-01-23 09:40 AugustoMauch Status resolved => closed
2013-01-23 09:40 AugustoMauch Fixed in Version => 3.0MP20
2013-01-24 04:59 hudsonbot Checkin
2013-01-24 04:59 hudsonbot Note Added: 0055782
2013-01-24 04:59 hudsonbot Checkin
2013-01-24 04:59 hudsonbot Note Added: 0055783


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker